Apr 26th Heartbleed Bug

News broke last week of a wide-reaching security vulnerability known as the Heartbleed bug. Heartbleed affects OpenSSL, used by a majority of the web to securely send data. The majority of our clients web servers were not vulnerable to Heartbleed. Those clients that were vulnerable to Heartbleed were patched and notified immediately. However, ... Read More »